Package ghidra.app.util.bin.format.dwarf4.encoding

# Enum Class DWARFForm

java.lang.Object
java.lang.Enum<DWARFForm>
ghidra.app.util.bin.format.dwarf4.encoding.DWARFForm

All Implemented Interfaces:
  `Serializable`, `Comparable<DWARFForm>`, `Constable`

public enum DWARFForm extends Enum<DWARFForm>
DWARF attribute encoding consts from www.dwarfstd.org/doc/DWARF4.pdf

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DW_FORM_addr`
  `DW_FORM_block`
  `DW_FORM_block1`
  `DW_FORM_block2`
  `DW_FORM_block4`
  `DW_FORM_data1`
  `DW_FORM_data2`
  `DW_FORM_data4`
  `DW_FORM_data8`
  `DW_FORM_exprloc`
  `DW_FORM_flag`
  `DW_FORM_flag_present`
  `DW_FORM_indirect`
  `DW_FORM_ref_addr`
  `DW_FORM_ref_sig8`
  `DW_FORM_ref_udata`
  `DW_FORM_ref1`
  `DW_FORM_ref2`
  `DW_FORM_ref4`
  `DW_FORM_ref8`
  `DW_FORM_sdata`
  `DW_FORM_sec_offset`
  `DW_FORM_string`
  `DW_FORM_strp`
  `DW_FORM_udata`
  `NULL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DWARFForm`
  `find(int key)`
  Find the form value given a Number value.
  `int`
  `getValue()`
  Get the integer value of this enum.
  `static DWARFForm`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DWARFForm[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NULL

    public static final DWARFForm NULL

  - ### DW_FORM_addr

    public static final DWARFForm DW_FORM_addr

  - ### DW_FORM_block2

    public static final DWARFForm DW_FORM_block2

  - ### DW_FORM_block4

    public static final DWARFForm DW_FORM_block4

  - ### DW_FORM_data2

    public static final DWARFForm DW_FORM_data2

  - ### DW_FORM_data4

    public static final DWARFForm DW_FORM_data4

  - ### DW_FORM_data8

    public static final DWARFForm DW_FORM_data8

  - ### DW_FORM_string

    public static final DWARFForm DW_FORM_string

  - ### DW_FORM_block

    public static final DWARFForm DW_FORM_block

  - ### DW_FORM_block1

    public static final DWARFForm DW_FORM_block1

  - ### DW_FORM_data1

    public static final DWARFForm DW_FORM_data1

  - ### DW_FORM_flag

    public static final DWARFForm DW_FORM_flag

  - ### DW_FORM_sdata

    public static final DWARFForm DW_FORM_sdata

  - ### DW_FORM_strp

    public static final DWARFForm DW_FORM_strp

  - ### DW_FORM_udata

    public static final DWARFForm DW_FORM_udata

  - ### DW_FORM_ref_addr

    public static final DWARFForm DW_FORM_ref_addr

  - ### DW_FORM_ref1

    public static final DWARFForm DW_FORM_ref1

  - ### DW_FORM_ref2

    public static final DWARFForm DW_FORM_ref2

  - ### DW_FORM_ref4

    public static final DWARFForm DW_FORM_ref4

  - ### DW_FORM_ref8

    public static final DWARFForm DW_FORM_ref8

  - ### DW_FORM_ref_udata

    public static final DWARFForm DW_FORM_ref_udata

  - ### DW_FORM_indirect

    public static final DWARFForm DW_FORM_indirect

  - ### DW_FORM_sec_offset

    public static final DWARFForm DW_FORM_sec_offset

  - ### DW_FORM_exprloc

    public static final DWARFForm DW_FORM_exprloc

  - ### DW_FORM_flag_present

    public static final DWARFForm DW_FORM_flag_present

  - ### DW_FORM_ref_sig8

    public static final DWARFForm DW_FORM_ref_sig8

- ## Method Details

  - ### values

    public static DWARFForm[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DWARFForm valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()
    Get the integer value of this enum.
    Returns:
      the integer value of the enum

  - ### find

    public static DWARFForm find(int key)
    Find the form value given a Number value.
    Parameters:
      `key` - Number value to check
    Returns:
      DWARFForm enum if it exists
    Throws:
      `IllegalArgumentException` - if the key is not found